Summary: System V initialization program
Name: SysVinit
%define version 2.71
Version: %{version}
Release: 3
Copyright: GPL
Group: Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/sysvinit_%{version}-2.tar.gz
Patch0: sysvinit-2.71-libutil.patch
Patch1: sysvinit-2.71-md5.patch
BuildRoot: /tmp/init-root

%description
SysVinit is the first program started by the Linux kernel when the system
boots, controlling the startup, running, and shutdown of all other
programs.

%changelog
* Wed Oct 1 1997 Cristian Gafton <gafton@redhat.com>

- fixed the MD5 check in sulogin (128 hash bits encoded with base64 gives
  22 bytes, not 24...). Fix in -md5.patch

* Thu Sep 11 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>

- /etc/initrunlvl gets linked to /tmp/init-root/var/run/initrunlvl which is
  just plain wrong..
- /usr/bin/utmpdump was missing in the files section, although it was
  explicitly patched into PROGS.
- added attr's to the files section.
- various small fixes.

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>

- updated to 2.71
- built against glibc 2.0.4

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added sulogin.8 man page to file list.

%prep
%setup -n sysvinit-%{version}
%patch0 -p1
%patch1 -p1

%build
make -C src

%install
# Sanity check on RPM_BUILD_ROOT...
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] || exit 1
rm -rf $RPM_BUILD_ROOT
for I in sbin usr/bin usr/man/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

make -C src ROOT=$RPM_BUILD_ROOT install

ln -sf ../var/run/initrunlvl $RPM_BUILD_ROOT/etc

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:

chgrp tty $RPM_BUILD_ROOT/usr/bin/wall
chmod g+s $RPM_BUILD_ROOT/usr/bin/wall

%files
%doc doc/Propaganda doc/changelog doc/Install README.RIGHT.NOW
%doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
%attr(-,root,root) /sbin/halt
%attr(-,root,root) /sbin/init
%attr(-,root,root) /sbin/killall5
%attr(-,root,root) /sbin/sulogin
%attr(-,root,root) /sbin/runlevel
%attr(-,root,root) /sbin/shutdown
%attr(-,root,root) /sbin/reboot
%attr(-,root,root) /sbin/pidof
%attr(-,root,root) /sbin/telinit
%attr(-,root,root) /usr/bin/mesg
%attr(-,root,root) /usr/bin/last
%attr(-,root,root) /usr/bin/lastb
%attr(-,root,root) /usr/bin/utmpdump
%attr(-,root,tty)  /usr/bin/wall
%attr(-,root,root) /usr/man/*/*
%attr(-,root,root) /etc/initrunlvl
%attr(-,root,root) /dev/initctl
